<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($oas, 'pager_oa');

$oas = $pager->getStatement();

$oa_id = $this->getSession()->has('oa_id') ? $this->getSession()->get('oa_id') : null ;

?>

<div class="table-responsive">
  <div id="optiontools"></div>
  <table class="table table-striped table-bordered table-hover table-condensed table-responsive">
  	<thead>
  		<tr>
  			<td><?php echo $pager->getSortLink('identification'); ?></td>
  			<td><?php echo $pager->getSortLink('arretedesignation'); ?></td>
  			<td><?php echo $pager->getSortLink('arreteprescription'); ?></td>
  			<td><?php echo $pager->getSortLink('debut'); ?></td>
  			<td><?php echo $pager->getSortLink('fin'); ?></td>
  			<td><?php echo $pager->getSortLink('oastatut'); ?></td>
  			<td><?php echo $pager->getSortLink('nature'); ?></td>
  			<td><?php echo $pager->getSortLink('conditionfouille'); ?></td>
  			<td><?php echo $pager->getSortLink('organismeratachement'); ?></td>
  			<td><?php echo $pager->getSortLink('maitriseouvrage'); ?></td>
  			<td><?php echo $pager->getSortLink('surfacefouille'); ?></td>
  			
  		</tr>
  	</thead>
  	<tbody>
  	<?php 
      foreach($oas as $oa):
        $param = array (
          'sitefouille_id' => $oa->get('sitefouille_id'),
          'oa_id' => $oa->get('oa_id'),  
        )       
    ?>
  		<tr>
  			<td<?php echo $pager->getClass($oas); ?>>
          <a href="<?php echo $this->getRequest('Dashboard_Sitefouille', 'SetSessionValue', $param); ?>">
            <?php echo $oa->get('identification', $filter_html); ?>
          </a>
        </td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('arretedesignation', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('arreteprescription', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('oa_debut', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('oa_fin', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('oastatut', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('nature', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('conditionfouille', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('organismeratachement', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('maitriseouvrage', $filter_html); ?></td>
  			<td<?php echo $pager->getClass($oas); ?>><?php echo $oa->get('surfacefouille', $filter_html); ?></td>
  			
  		</tr>
  	<?php endforeach; ?>
  	</tbody>
  	<tfoot>
  		<tr>
  			<td colspan="11"><?php echo $pager->getPagination(); ?></td>
  		</tr>
  		<tr>
  			<td colspan="11">
  				<!-- <a href="<?php echo $this->getRequest('Oa', 'add'); ?>" class="btn btn-primary">Ajouter</a> -->
  				<a href="<?php echo $this->getRequest('Dashboard_Sitefouille', 'index'); ?>" class="btn btn-default" >Retour au Tableau de Bord</a>
  			</td>
  		</tr>
  	</tfoot>
  </table>
</div>